package com.capgemini.pool;

/**
 * @author Jettro Coenradie
 *
 * 
 */
public class RunApp {

	public static void main(String[] args) throws Exception {
		System.out.println("Starting app");
		SamplePoolableObjectFactory factory = new SamplePoolableObjectFactory();
		SampleObjectPool pool = new SampleObjectPool(factory);
		
		Object obj1 = pool.borrowObject();
		Object obj2 = pool.borrowObject();
		pool.returnObject(obj1);
		Object obj3 = pool.borrowObject();
		pool.returnObject(obj2);
		pool.returnObject(obj3);
		System.out.println("Closing app");
	}
}
